# Deep network: src/vector.hpp File Reference

vector.hpp File Reference
`#include <iostream>`
`#include "debug.hpp"`
Include dependency graph for vector.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

using | Real = double
using | Vector = Real *

## Functions

Vector | init_vector (size_t n)
void | delete_vector (Vector v)
void | display (Vector v, size_t n)
size_t | argmax (Vector v, size_t n)
size_t | indice2 (size_t i, size_t j, size_t nj)
size_t | indice3 (size_t i, size_t j, size_t k, size_t nj, size_t nk)
size_t | indice4 (size_t i, size_t j, size_t k, size_t l, size_t nj, size_t nk, size_t nl)

## Typedef Documentation

## Real

using Real = double

## Vector

using Vector = Real*

## Function Documentation

## argmax()

size_t argmax | ( | Vector | v,
|  | size_t | n
| ) |  |

inline

## delete_vector()

void delete_vector | ( | Vector | v | ) |

inline

## display()

void display | ( | Vector | v,
|  | size_t | n
| ) |  |

inline

## indice2()

size_t indice2 | ( | size_t | i,
|  | size_t | j,
|  | size_t | nj
| ) |  |

inline

## indice3()

size_t indice3 | ( | size_t | i,
|  | size_t | j,
|  | size_t | k,
|  | size_t | nj,
|  | size_t | nk
| ) |  |

inline

## indice4()

size_t indice4 | ( | size_t | i,
|  | size_t | j,
|  | size_t | k,
|  | size_t | l,
|  | size_t | nj,
|  | size_t | nk,
|  | size_t | nl
| ) |  |

inline

## init_vector()

Vector init_vector | ( | size_t | n | ) |

inline